using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	public interface IEffect
	{
		bool IsSleeping { get; }
		bool IsVisible { get; }
		bool IsModal { get; }
		bool Update();
		void Draw(Bitmap inputImage, Graphics input, Graphics output, int inputWidth, int inputHeight, int outputWidth, int outputHeight);
	}
}
